Crazy Eddies GUI System: CEGUI::Titlebar Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes
CEGUI::Titlebar Class Reference

Class representing the title bar for Frame Windows. More...

Inheritance diagram for CEGUI::Titlebar:
[legend]
Collaboration diagram for CEGUI::Titlebar:
[legend]

List of all members.

## Public Member Functions
bool | isDraggingEnabled (void) const
| Return whether this title bar will respond to dragging.
void | setDraggingEnabled (bool setting)
| Set whether this title bar widget will respond to dragging.
| Titlebar (const String &type, const String &name)
| Constructor for Titlebar base class.
virtual | ~Titlebar (void)
| Destructor for Titlebar base class.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | WidgetTypeName
| Window factory name.
## Protected Member Functions
virtual void | onMouseMove (MouseEventArgs &e)
| Handler called when the mouse cursor has been moved within this window's area.
virtual void | onMouseButtonDown (MouseEventArgs &e)
| Handler called when a mouse button has been depressed within this window's area.
virtual void | onMouseButtonUp (MouseEventArgs &e)
| Handler called when a mouse button has been released within this window's area.
virtual void | onMouseDoubleClicked (MouseEventArgs &e)
| Handler called when a mouse button has been double-clicked within this window's area.
virtual void | onCaptureLost (WindowEventArgs &e)
| Handler called when this window loses capture of mouse inputs.
virtual void | onFontChanged (WindowEventArgs &e)
| Handler called when the window's font is changed.
virtual void | onDraggingModeChanged (WindowEventArgs &)
| Event handler called when the 'draggable' state for the title bar is changed.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.
## Protected Attributes
bool | d_dragging
| set to true when the window is being dragged.
Point | d_dragPoint
| Point at which we are being dragged.
bool | d_dragEnabled
| true when dragging for the widget is enabled.
Rect | d_oldCursorArea
| Used to backup cursor restraint area.

## Detailed Description

Class representing the title bar for Frame Windows.

## Member Function Documentation

bool CEGUI::Titlebar::isDraggingEnabled | ( | void |  | ) | const

Return whether this title bar will respond to dragging.

Returns:
  true if the title bar will respond to dragging, false if the title bar will not respond.

virtual void CEGUI::Titlebar::onCaptureLost | ( | WindowEventArgs & | e | ) | `[protected, virtual]`

Handler called when this window loses capture of mouse inputs.

Parameters:

  e | WindowEventArgs object whose 'window' pointer field is set to the window that triggered the event. For this event the trigger window is always 'this'.

Reimplemented from CEGUI::Window.

virtual void CEGUI::Titlebar::onDraggingModeChanged | ( | WindowEventArgs & |  | ) | `[inline, protected, virtual]`

Event handler called when the 'draggable' state for the title bar is changed.

Note that this is for 'internal' use at the moment and as such does not add or fire a public Event that can be subscribed to.

virtual void CEGUI::Titlebar::onFontChanged | ( | WindowEventArgs & | e | ) | `[protected, virtual]`

Handler called when the window's font is changed.

Parameters:

  e | WindowEventArgs object whose 'window' pointer field is set to the window that triggered the event. For this event the trigger window is always 'this'.

Reimplemented from CEGUI::Window.

virtual void CEGUI::Titlebar::onMouseButtonDown | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been depressed within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

virtual void CEGUI::Titlebar::onMouseButtonUp | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been released within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

virtual void CEGUI::Titlebar::onMouseDoubleClicked | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been double-clicked within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

virtual void CEGUI::Titlebar::onMouseMove | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when the mouse cursor has been moved within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

void CEGUI::Titlebar::setDraggingEnabled | ( | bool | setting | ) |

Set whether this title bar widget will respond to dragging.

Parameters:

  setting | true if the title bar should respond to being dragged, false if it should not respond.

Returns:
  Nothing.

virtual bool CEGUI::Titlebar::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

Parameters:

  class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::Window.

References CEGUI::Window::testClassName_impl().